var override_queryfields = [
		{
			name : 'amount_from',
			queryexpression : "T1.amount>=${@amount_from}"
		},
		{
			name : 'amount_to',
			queryexpression : "T1.amount<=${@amount_to}"
		},
		{
			name : 'req_date_from',
			queryexpression : "T1.req_date>=trunc(to_date(${@req_date_from},'yyyy-mm-dd'))"
		},
		{
			name : 'req_date_to',
			queryexpression : "trunc(T1.req_date)<=to_date(${@req_date_to},'yyyy-mm-dd')"
		},
		 {
			name:'payment_req_number',
			queryexpression:"t1.payment_req_number like '%'||${@payment_req_number}||'%'"
		 }
];
var add_datafilters = [
    {
        name : 'approval_status',
        expression : "(t1.approval_status in ('NEW','RETURN','REJECT'))"

    } ];
add_datafilter();
override();
